Bsd updating repository catalogue no valid repository found clubnika com uadating

Posted by / 31-Jul-2017 10:36

As in: % sudo pkg install clang33 Updating Free BSD repository catalogue... When installing zabbix22-proxy, pkg complains about unsatisfied dependencies and all dependant packages except zabbix22-proxy, are installed from "Free BSD" repository.

When a package is installed, it is registered in a SQLite database.

Here's debug output solver: cannot find provide for requirement: lib Open 0 The following 18 package(s) will be affected (of 0 checked): New packages to be INSTALLED: zabbix22-proxy: 2.2.9 [Local] iksemel: 1.4_6 [Free BSD] gnutls: 3.3.15 [Free BSD] trousers-tddl: 0.3.10_7 [Free BSD] p11-kit: 0.23.1 [Free BSD] libtasn1: 4.5_1 [Free BSD] indexinfo: 0.2.3 [Free BSD] ca_root_nss: 3.19.1_1 [Free BSD] libffi: 3.2.1 [Free BSD] nettle: 2.7.1 [Free BSD] gmp: 5.1.3_2 [Free BSD] libidn: 1.29 [Free BSD] gettext-runtime: 0.19.4 [Free BSD] fping: 3.10 [Free BSD] net-snmp: 5.7.3_7 [Free BSD] perl5: 5.20.2_4 [Free BSD] curl: 7.42.1 [Free BSD] unix ODBC: 2.3.2_1 [Free BSD] no concurrent processes found, cleanup the lock The following 26 package(s) will be affected (of 0 checked): New packages to be INSTALLED: zabbix22-proxy: 2.2.9 [Local] libxml2: 2.9.2_2 [Local] iksemel: 1.4_6 [Local] gnutls: 3.3.15 [Local] trousers-tddl: 0.3.10_7 [Local] p11-kit: 0.23.1 [Local] libtasn1: 4.5_1 [Local] indexinfo: 0.2.3 [Local] ca_root_nss: 3.19.1_1 [Local] libffi: 3.2.1 [Local] nettle: 2.7.1 [Local] gmp: 5.1.3_2 [Local] libidn: 1.29 [Local] gettext-runtime: 0.19.4 [Local] openipmi: 2.0.19_4 [Local] popt: 1.16_1 [Local] sudo: 1.8.13 [Local] nmap: 6.47 [Local] pcre: 8.37_1 [Local] libssh2: 1.4.3_5,2 [Local] fping: 3.10 [Local] net-snmp: 5.7.3_7 [Local] perl5: 5.20.2_4 [Local] curl: 7.42.1 [Local] unix ODBC: 2.3.2_1 [Local] sqlite3: 3.8.10.1 [Local] Version : 1.5.3 PKG_DBDIR = "/var/db/pkg"; PKG_CACHEDIR = "/var/cache/pkg"; PORTSDIR = "/usr/ports"; INDEXDIR = ""; INDEXFILE = "INDEX-10"; HANDLE_RC_SCRIPTS = false; DEFAULT_ALWAYS_YES = false; ASSUME_ALWAYS_YES = false; REPOS_DIR [ "/etc/pkg/", "/usr/local/etc/pkg/repos/", ] PLIST_KEYWORDS_DIR = ""; SYSLOG = true; ABI = "Free BSD:10:amd64"; ALTABI = "freebsd:10:x"; DEVELOPER_MODE = false; VULNXML_SITE = " FETCH_RETRY = 3; PKG_PLUGINS_DIR = "/usr/local/lib/pkg/"; PKG_ENABLE_PLUGINS = true; PLUGINS [ ] DEBUG_SCRIPTS = false; PLUGINS_CONF_DIR = "/usr/local/etc/pkg/"; PERMISSIVE = false; REPO_AUTOUPDATE = true; NAMESERVER = ""; EVENT_PIPE = ""; FETCH_TIMEOUT = 30; UNSET_TIMESTAMP = false; SSH_RESTRICT_DIR = ""; PKG_ENV PKG_SSH_ARGS = ""; DEBUG_LEVEL = 0; ALIAS CUDF_SOLVER = ""; SAT_SOLVER = ""; RUN_SCRIPTS = true; CASE_SENSITIVE_MATCH = false; LOCK_WAIT = 1; LOCK_RETRIES = 5; SQLITE_PROFILE = false; WORKERS_COUNT = 0; READ_LOCK = false; PLIST_ACCEPT_DIRECTORIES = false; IP_VERSION = 0; AUTOMERGE = true; VERSION_SOURCE = ""; CONSERVATIVE_UPGRADE = true; PKG_CREATE_VERBOSE = false; Repositories: Free BSD: Local: I think I see the same issue, but I end up having installed broken package. Checking for upgrades (52 candidates): 100% Processing candidates (52 candidates): 100% The following 17 package(s) will be affected (of 0 checked): Installed packages to be DOWNGRADED: nettle: 3.2 - 1.13_1 [Free BSD] Installed packages to be REINSTALLED: xvid-1.3.4,1 [Free BSD] x265-1.8 [Free BSD] nginx-1.8.1,2 [poudriere] mpv-0.15.0,1 [poudriere] (needed shared library changed) libx264-0.144.2533_1 [Free BSD] libdvdread-5.0.3 [Free BSD] lame-3.99.5_3 [poudriere] jsoncpp-0.6.0.r2_2 [Free BSD] ffmpeg-2.8.6,1 [poudriere] curl-7.47.0 [Free BSD] cmake-3.4.2 [poudriere] (needed shared library changed) The operation will free 1 Mi B.

Problem can only be alleviated by using "pkg install -r Local .....". I have "Local" repository with priority 10, which contains net-mgmt/zabbix22-proxy with same version as "Free BSD" repository, but with different build options.

Description : Dovecot is a secure and compact IMAP server which is in the early stages of development.

done# pkg info dovecot-1.2.17_1 dovecot-1.2.17_1 Name : dovecot Version : 1.2.17_1 Installed on : Tue May 27 EEST 2014 Origin : mail/dovecot Architecture : freebsd:9:x Prefix : /usr/local Maintainer : unknown WWW : Comment : Secure and compact IMAP and POP3 servers ...

bsd updating repository catalogue no valid repository found-49bsd updating repository catalogue no valid repository found-10bsd updating repository catalogue no valid repository found-87

WWW: pkg update -f pkg: PACKAGESITE in is deprecated.